
%global meadversion 1.1.0
%global namedversion 1.1.0.Final-redhat-7
%global meadalpha .Final_redhat_7
%global meadrel .1
%global serial 2

%bcond_without mead
%bcond_with javadoc

%define mavengroup org.jboss.weld
%define artifact0 weld-api
%define artifact1 weld-spi

%define maven_version 1.1.0.Final-redhat-7

Name:      jboss-weld-1.1-api
Version:   %{meadversion}
Release:   %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:     0
Summary:   Weld APIs
License:   Apache License, Version 2.0
Group:     Development/Libraries/Java

%if %with mead
Source100: weld-api-build-aggregator-1.1.0.Final-redhat-7-scm-sources.zip
Source102: weld-api-parent-1.1.0.Final-redhat-7.pom
Source103: weld-api-bom-1.1.0.Final-redhat-7.pom
Source104: weld-spi-1.1.0.Final-redhat-7-sources.jar
Source105: weld-spi-1.1.0.Final-redhat-7.pom
Source106: weld-spi-1.1.0.Final-redhat-7-javadoc.jar
Source107: weld-spi-1.1.0.Final-redhat-7.jar
Source108: weld-api-build-aggregator-1.1.0.Final-redhat-7-project-sources.tar.gz
Source109: weld-api-build-aggregator-1.1.0.Final-redhat-7.pom
Source110: weld-api-1.1.0.Final-redhat-7-sources.jar
Source111: weld-api-1.1.0.Final-redhat-7-javadoc.jar
Source112: weld-api-1.1.0.Final-redhat-7.pom
Source113: weld-api-1.1.0.Final-redhat-7.jar
%endif

URL:       http://www.seamframework.org/Weld

BuildRequires:    jpackage-utils
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils
Requires:         jpackage-utils

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
APIs for Weld, the reference implementation of JSR 299: Contexts and Dependency Injection for Java EE.

%if %with javadoc
%package javadoc
Summary:   Javadoc for %{name}
Group:     Development/Documentation

Requires:  jpackage-utils

%description javadoc
API documentation for %{name}.
%endif

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/jboss
%{__cp} -p %{_sourcedir}/%{artifact0}-%{namedversion}.jar %{buildroot}%{_javadir}/jboss/%{artifact0}-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/%{artifact0}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss/%{artifact0}-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/%{artifact1}-%{namedversion}.jar %{buildroot}%{_javadir}/jboss/%{artifact1}-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/%{artifact1}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss/%{artifact1}-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir}/jboss && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/%{artifact0}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.jboss-%{artifact0}.pom
%{__cp} -p %{_sourcedir}/%{artifact1}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.jboss-%{artifact1}.pom

# depmaps
%add_to_maven_depmap %{mavengroup} %{artifact0} %{namedversion} JPP/jboss %{artifact0}
%add_to_maven_depmap %{mavengroup} %{artifact1} %{namedversion} JPP/jboss %{artifact1}

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}/%{artifact0}-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/%{artifact0}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}/%{artifact0}-%{namedversion} -x META-INF/\*
%{__ln_s} %{artifact0}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}/%{artifact0}
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}/%{artifact1}-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/%{artifact1}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}/%{artifact1}-%{namedversion} -x META-INF/\*
%{__ln_s} %{artifact1}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}/%{artifact1}
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}/jboss
%{_javadir}/jboss*/*.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}
%{_javadocdir}/%{name}/%{artifact0}-%{namedversion}
%{_javadocdir}/%{name}/%{artifact0}
%{_javadocdir}/%{name}/%{artifact1}-%{namedversion}
%{_javadocdir}/%{name}/%{artifact1}
%endif

%changelog
* Wed Sep 09 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.1.0-2.Final_redhat_7.1
- Rebuild with fixed weld-parent and cdi-api

* Tue Jan 13 2015 Lin Gao <lgao@redhat.com> - 1.1.0-1.Final_redhat_6.1
- Rebuild to fix invalid OSGI version

* Tue Apr 08 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.1-9.Final_redhat_5.1
- BZ-1014569

* Fri Sep 20 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.1-8.Final_redhat_4
- Fix jstl api in weld-api-bom

* Fri Sep 20 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.1-7.Final_redhat_3
- Rebuild for EAP 6.2

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1-6.Final_redhat_2.1
- Rebuild for MD5

* Fri Aug 24 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.1-5.Final_redhat_2.1
- Update poms for eap 6.0.1

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1-4.Final_redhat_2.3
- Rebuild unsigned

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1-4.Final_redhat_2.2
- Rebuild unsigned

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1-4.Final_redhat_1.1
- Rebuild using cache signing

* Thu May  3 2012 Vaclav Tunka <vtunka@redhat.com> - 0:1.1-4.Final_redhat_1
- Fix release tag

* Wed Feb 29 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1-3_redhat_1.1
- Populate java-signed

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 0:1.1-3_redhat_1
- Rebuild to use new signing key

* Tue Feb 07 2012 Vaclav Tunka <vtunka@redhat.com> - 0:1.1-2_redhat_1
- Wrap MEAD build for EAP 6

* Thu Aug 18 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.1-1_redhat_1
- Patched by vman
- Fix JBoss Specs deps

* Thu Jul 14 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.1-1
- Initial version
